Bug 1276946 - German Translation "Maintenance"
German Translation "Maintenance"
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.5.5
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.1
: 3.6.1.1
Assigned To: bugs@ovirt.org
Pavel Stehlik
i18n
: i18n, Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 11:38 EST by Markus Stockhausen
Modified: 2016-02-10 13:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: i18n
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ecohen: ovirt‑3.6.z?
rule-engine: planning_ack?
ecohen: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49445 None None None Never
oVirt gerrit 49468 None None None Never
oVirt gerrit 49473 None None None Never

  None (edit)
Description Markus Stockhausen 2015-11-01 11:38:51 EST
Description of problem:

OVirt 3.5.5 web interface has a misleading german translation. Tab Hosts action "Maintenance".

- Maintenance (noun) is in german "Wartung"
- to maintain is in german "warten". 
- But in German "warten" also has the meaning of "to wait". This is the more common use of the verb. 

Therefore we should use translation "Wartung" as it is not so misleading as "Warten". 

Version-Release number of selected component (if applicable):

OVirt 3.5.5

How reproducible:

100%

Steps to Reproduce:
1. Logon in german
2. Open Hosts tab
3. Look at quick button list

Actual results:

Button shows "Warten"

Expected results:

Button should show "Wartung"
Comment 1 Einav Cohen 2015-11-05 10:04:50 EST
@Yuko - is that something that you can take care of real quick before I pull the up-to-date translations from Zanata for 3.6 translation cycle #5?
[reminding that if a translation update is indeed needed, need to do it in both 'master' and 'ovirt-3.6' versions]

thanks.
Comment 2 Yuko Katabami 2015-11-05 16:49:07 EST
Hi Einav,

Thanks for the heads up.
I am asking Jasna to take a look.
Comment 3 Yuko Katabami 2015-11-05 17:54:38 EST
Hi Einav,

I discussed with Jasna and she agreed to change it as suggested by the reporter.

We searched the string "Maintenance" and "Warten" in Zanata and found quite many results, but we are not 100% sure which one this string is.

Would it be one with Resource ID maintenanceHost ?

There is also an action button under Storage subtab under Data centers Resource tab (maintenanceStorageDc or maintenanceStorage?) and this might have to be fixed together.

In addition, if $action maintenance is used for the same action (doing maintenance or switching something to maintenance mode, instead of wait) in messages, that should be also corrected.

It would be greatly appreciated if you could help us identify the strings that need to be corrected.

Kind regards,

Yuko
Comment 4 Einav Cohen 2015-11-06 17:11:11 EST
Hi Yuko,

There are *a lot* of usages for the Maintenance string. All of them are summarized in the google spreadsheet that I've prepared [1]. 

There is a sheet per document; each sheet contains the resource IDs of texts that contain the word "Maintenance", their English values and optionally a comment that explains what this text represents and/or where it can be found in the GUI. 

Please note that Maintenance can refer to an action (like on an action-button) or to a status (like in the Status column in the Hosts grid); it can also refer to a Host, a Storage Domain, a VM and/or the engine (in case of hosted engine, AFAIK), but mostly - to a Host. I believe that most of the strings mentioned in the google doc should be changed accordingly. 

If you have any questions - please let me know or feel free to ask on the devel@ovirt.org mailing list. 

Thanks. 

[1] https://docs.google.com/a/redhat.com/spreadsheets/d/1X-yjbLmsQUFyFSJPH1YpOAjhoL_RYu9TANOPu1jkrsI/edit?usp=sharing
Comment 5 Yuko Katabami 2015-11-06 19:50:49 EST
Hi Einav,

Thank you very much for providing comprehensive details.
It is really helpful.

I will report to you when translations are fixed in Zanata.
Comment 6 Yuko Katabami 2015-12-08 04:36:56 EST
Hi Einav,

Just reporting that Jasna has fixed the relevant strings in zanata (in both master and ovirt-3.6) during the translation cycle #6.

It is ready to pull from zanata.
Comment 7 Einav Cohen 2015-12-08 09:43:52 EST
(In reply to Yuko Katabami from comment #6)
> Hi Einav,
> 
> Just reporting that Jasna has fixed the relevant strings in zanata (in both
> master and ovirt-3.6) during the translation cycle #6.
> 
> It is ready to pull from zanata.

thanks, Yuko - the RHEV 3.6.1.1 setup provided to you/Robert for the QA event of translation cycle #6 (which is in progress right now) should include the updated translations for the relevant strings -> moving this BZ to ON_QA. 
It would be great if you can make sure that this BZ is verified during this QA event, using the provided setup.
Comment 8 Yuko Katabami 2015-12-08 19:38:34 EST
@Einav,

Sure, I will ask Jasna to verify the fix and report back to you once it's done.
Thanks!
Comment 9 Yuko Katabami 2015-12-09 01:45:00 EST
Jasna has checked the translation using the test environment provided to us and confirmed that changes are applied to UI now.
Moving the status to VERIFIED.
Comment 10 Sandro Bonazzola 2015-12-16 07:18:38 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.